POST api/witnessapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
WitnessViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| id | globally unique identifier |
None. |
|
| date_hu | date |
None. |
|
| local_update | date |
None. |
|
| site_id | globally unique identifier |
Required |
|
| status | integer |
None. |
|
| wash_count | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "ac5a39c8-1aa9-4baa-82b7-d30207a0393b",
"date_hu": "2026-03-10T09:17:17.63272+00:00",
"local_update": "2026-03-10T09:17:17.63272+00:00",
"site_id": "0807d4de-613a-4e44-8f94-f21ea58992eb",
"status": 1,
"wash_count": 1
}
application/xml, text/xml
Sample:
<witness xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <date_hu>2026-03-10T09:17:17.63272+00:00</date_hu> <id>ac5a39c8-1aa9-4baa-82b7-d30207a0393b</id> <local_update>2026-03-10T09:17:17.63272+00:00</local_update> <site_id>0807d4de-613a-4e44-8f94-f21ea58992eb</site_id> <status>1</status> <wash_count>1</wash_count> </witness>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"40ccc356-e76b-4cde-ad71-71287e710317"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">40ccc356-e76b-4cde-ad71-71287e710317</guid>